Update Home Assistant on CentOS 7

CentOS 7 sucks because the default version of Python is 2.7. To run Home Assistant you need at least Python 3.5. Fortunately you can install other versions of Python alongside the default Python 2.7 installation. These instructions assume that you already have installed Home Assistant.

  • First install Python 3.6.
  • Set the Python virtual environment to use 3.6: #scl enable rh-python36 bash
  • Do the upgrade: #pip3 install –upgrade homeassistant